baseURL = "http://example.org/"
languageCode = "en-us"
#title = "My New Hugo Site"
# Want to use this but the default code theme is fucking hideous:
#theme = "indigo"
#theme = "zen"
# This one *does* use 'highlight' below:
#theme = "nofancy"

theme = "hugo-notepadium"

# This is for when I am running on GitLab's URL:
relativeURLs = true

#PygmentsCodeFences = true
#PygmentsStyle = "monokai"

#staticDir = "static"

# This won't work until I'm using Goldmark instead of Blackfriday.
# See https://gohugo.io/getting-started/configuration-markup/#table-of-contents
[markup]
    [markup.tableOfContents]
        startLevel = 1
        endLevel = 2

[params.math]
enable = true  # optional: true, false. Enable globally, default:
               # false. You can always enable math on per page.
               # (how?)
use = "mathjax"  # option: "katex", "mathjax". default: "katex"

[params]
	# See themes/nofancy/static/highlight/styles for available options
	#highlight="tomorrow"
	# Controls what items are listed in the top nav menu
	# "none", or "categories"
	# If you have too many categories to fit in the top nav menu, set this to "none"
	topmenu="categories"

# none of this is taking any effect despite
# https://gohugo.io/getting-started/configuration-markup#highlight:

#[markup]
#  [markup.highlight]
#    codeFences = true
#    guessSyntax = false
#    hl_Lines = ""
#    lineNoStart = 1
#    lineNos = false
#    lineNumbersInTable = true
#    noClasses = true
#    style = "monokai"
#    tabWidth = 4

[params.nav]
showCategories = true       # /categories/
showTags = true             # /tags/

[[params.nav.custom]]
title = "Posts"
url = "/posts"

[[params.nav.custom]]
title = "About"
url = "/about"

[[params.nav.custom]]
title = "Links"
url = "/links"

[[params.nav.custom]]
title = "Old Crap"
url = "/old_crap"

# Big TODO: Move this elsewhere.
[[params.nav.custom]]
title = "Works"
url = "/works/front"

[[params.nav.custom]]
title = "Hugo"
url = "https://gohugo.io/"
